<script lang="ts">
  import WhiteCircle from "./suits/WhiteCircle.svelte";
  import YellowStar from "./suits/YellowStar.svelte";
  import GreenSparkle from "./suits/GreenSparkle.svelte";
  import BlueDrop from "./suits/BlueDrop.svelte";
  import RedDiamond from "./suits/RedDiamond.svelte";

  export let suit: Suit;
</script>

{#if suit === "W"}
  <WhiteCircle />
{:else if suit === "Y"}
  <YellowStar />
{:else if suit === "G"}
  <GreenSparkle />
{:else if suit === "B"}
  <BlueDrop />
{:else if suit === "R"}
  <RedDiamond />
{/if}
